<?php 
session_start();

require('../cfg/res.php');
require('../cfg/cfg.php');
?>
<?php

$fecha1 = date('Y-m-j');
$nuevafecha = strtotime ( '-1 month' , strtotime ( $fecha1 ) ) ;
$xfecha1 = date ( 'Y/m/j' , $nuevafecha );
$xfecha1= date('Y/m/'.'1');
$xfecha2= date('Y/m/d');

$sql_datesp='SET lc_time_names = "es_UY"';
$res_datesp=mysql_query($sql_datesp,$link_vcrx);



$xfgrou='';
if(isset($_POST['fgrou']) && !empty($_POST['fgrou']))
{$xfgrou=$_POST['fgrou'];}


$xfentt='4';
if(isset($_POST['fentt']) && !empty($_POST['fentt']))
{$xfentt=$_POST['fentt'];}


if(isset($_POST['fcodi']) && !empty($_POST['fcodi']))
{$xfcodi=$_POST['fcodi'];}
switch ($xfcodi)
{
	case '1': $atrz_codi='item';break;
	case '2': $atrz_codi='atrz_codigoc';break;
	case '3': $atrz_codi='atrz_codigop';break;
	default : $atrz_codi='item';break;
}

// mysql_query('update atrz0 set atrz_direccion=upper(atrz_direccion), atrz_calle1=upper(atrz_calle1), atrz_calle2=upper(atrz_calle2),atrz_callen=upper(atrz_callen), atrz_calle3=upper(atrz_calle3)',$link_vcrx);

// $sql_atrzl='select * from atrz00 left join adrs0 on atrz_adrs=adrs_codigo where ';
//aqui join con fotos u otra cosa

$sql_atrzl='select * from atrz00 where ';
/*
$fecha1 = date('Y-m-j');
$nuevafecha = strtotime ( '-1 month' , strtotime ( $fecha1 ) ) ;
$xfecha1 = date ( 'Y/m/j' , $nuevafecha );
$xfecha1= date('Y/m/'.'1');
$xfecha2= date('Y/m/d');
*/

$sql_atrzl.='(';

if(isset($_POST['fecha_ini']) && !empty($_POST['fecha_ini']) && isset($_POST['fecha_fin']) && !empty($_POST['fecha_fin']))
{
	$xfecha1=$_POST['fecha_ini'];
	$xfecha2=$_POST['fecha_fin'];
}

	$xanios=date('Y',strtotime($xfecha2b))-date('Y',strtotime($xfecha1b))+1;
	$xanio1=date('Y',strtotime($xfecha1b));
	$xanio2=date('Y',strtotime($xfecha2b));

	$dias=intval(strtotime($xfecha2b) - strtotime($xfecha1b))/60/60/24;
  $anios=date('Y',strtotime($xfecha2))-date('Y',strtotime($xfecha1));

// $sql_atrzl.='(date_format(atrz_idate,"%Y-%m-%d") BETWEEN "'.$xfecha1.'" and "'.$xfecha2.'") or atrz_idate is null';
// $sql_atrzl.='(atrz_idate BETWEEN "'.$xfecha1.'" and "'.$xfecha2.'") or atrz_idate is null';
$sql_atrzl.='1=1';
$sql_atrzl.=')';

$sql_atrzl=str_replace(')(',')||(',$sql_atrzl);


if(isset($_POST['item']) && !empty($_POST['item']))
{
//  	$sql_atrzl.=' and  (atrz_codigo like "'.$_POST['item'].'%" or atrz_descri like "%'.$_POST['item'].'%" ) ';
 	$sql_atrzl.=' and  (atrz_codigo in (select distinct item from inve1,inve2 where idnum1=idnum2 and (date_format(fecha,"%Y-%m-%d") BETWEEN "'.$xfecha1.'" and "'.$xfecha2.'")))';
	$xfitem=$_POST['item'];
}

// console.log($xfentt);
// if ($xfentt=='1'){$sql_atrzl.=' and  (atrz_codigo in (select atrz_codigo from clie0))';}
// if ($xfentt=='2'){$sql_atrzl.=' and  (atrz_codigo in (select atrz_codigo from prov0))';}
// if ($xfentt=='3'){$sql_atrzl.=' and  (atrz_codigo in (select atrz_codigo from empl0))';}

// console.log($sql_atrzl);


if(isset($_POST['item']) && !empty($_POST['item']))
{
	$sql_atrzl.=' and  (atrz_codigo like "'.$_POST['item'].'%" or atrz_descri like "%'.$_POST['item'].'%" ) ';
	$xfitem=$_POST['item'];
}




if(isset($_POST['fcdad']) && !empty($_POST['fcdad']))
{
	$sql_atrzl.=' and  (prvc_descri like "%'.$_POST['fcdad'].'%" or atrz_cdad like "'.$_POST['fcdad'].'%" or cdad_descri like "%'.$_POST['fcdad'].'%"  ) ';
	$xfcdad=$_POST['fcdad'];
}

if(isset($_POST['flsub']) && !empty($_POST['flsub']))
{
	$sql_atrzl.=' and  (atrz_lsub like "'.$_POST['flsub'].'%" or lsub_descri like "%'.$_POST['flsub'].'%" ) ';
	$xflsub=$_POST['flsub'];
}

if(isset($_POST['enti']) && !empty($_POST['enti']))
{
	$sql_atrzl.=' and  (atrz_enti like "'.$_POST['enti'].'%" or enti_descri like "%'.$_POST['enti'].'%" ) ';
	$xfenti=$_POST['enti'];
}

if(isset($_POST['fmrca']) && !empty($_POST['fmrca']))
{
	$sql_atrzl.=' and  (atrz_mrca like "'.$_POST['fmrca'].'%" or mrca_descri like "%'.$_POST['fmrca'].'%" ) ';
	$xfmrca=$_POST['fmrca'];
}

if(isset($_POST['fmdlo']) && !empty($_POST['fmdlo']))
{
	$sql_atrzl.=' and  (atrz_mdlo like "'.$_POST['fmdlo'].'%" or atrz_modelo like "%'.$_POST['fmdlo'].'%" ) ';
	$xfmdlo=$_POST['fmdlo'];
}

if(isset($_POST['fvndd']) && !empty($_POST['fvndd']))
{
	$sql_atrzl.=' and  (atrz_vndd like "'.$_POST['fvndd'].'%" or vndd_descri like "%'.$_POST['fvndd'].'%" ) ';
	$xfvndd=$_POST['fvndd'];
}


if(isset($_POST['frcdd']) && !empty($_POST['frcdd']))
{
	$sql_atrzl.=' and  (atrz_rcdd like "'.$_POST['frcdd'].'%" or rcdd_descri like "%'.$_POST['frcdd'].'%" ) ';
	$xfrcdd=$_POST['frcdd'];
}


if(isset($_POST['fctlg']) && !empty($_POST['fctlg']))
{
	$sql_atrzl.=' and  (atrz_nctlg like "'.$_POST['fctlg'].'%")';
	$xfctlg=$_POST['fctlg'];
}


	$sql_atrzl.=' and(atrz_status!="X") ';
	$sql_atrzl.=' and(atrz_status!="O") ';
	$sql_atrzl.=' and(atrd_status!="X") ';
	$sql_atrzl.=' and(atrd_status!="O") ';


$xforde='D';
if(isset($_POST['forde']) && !empty($_POST['forde']))
{$xforde=$_POST['forde'];}

switch ($xfgrou)
{

	case 'T':$xgroup='tpro_descri,atrz_tpro ';break;
	case 'V':$xgroup='vndd_descri,atrz_vndd ';break;
	case 'R':$xgroup='rcdd_descri,atrz_rcdd ';break;
	case 'Z':$xgroup='zsub_descri,atrz_zsub ';break;
	case 'L':$xgroup='lsub_descri,atrz_lsub ';break;
// 	case 'R':$xgroup='atrz_at10 ';break;
	case 'C':$xgroup='cdad_descri, atrz_cdad ';break;
	default :$xgroup='atrz_descri, atrz_codigo';break;
}

// $xgroup='';
switch ($xforde)
{
	case 'D':$xorder='enti_descri,atrz_codigo desc ';break;
	case 'C':$xorder='atrz_codigo desc ';break;
}

//$sql_atrzl.=' group by '.$xgroup;
$sql_atrzl.=' order by '.$xorder;
// echo $sql_atrzl;
$res_atrzl=mysql_query($sql_atrzl,$link_vcrx);
$totreg = mysql_num_rows($res_atrzl);
// echo str_repeat('-',date('s')*2).'';

?>
<table id="tabla_cxccli" width="100%" border="0" cellspacing="0" cellpadding="2" style="border-collapse:collapse;font-size:12px; border:#000000 solid 1px;">
<tr style="border-bottom:#000000 solid 2px; ">
	<th align="center">M</th>
  <th align="center">I</th>
	<th>AUTORIZACION</th>
	<th>CADUCA</th>
	<th>RUC</th>
	<th>ENTIDAD</th>
	<th></th>
</tr>

<?php 
$filax=0;
while($r_atrzl=mysql_fetch_assoc($res_atrzl))
{
// $duni=$r_atrzl['atrz_duni'];
?>
<tr class="filax" id="<?php echo $r_atrzl['idnum1']; ?>" align="center" style=" <?php if($filax>=4){echo 'border-top:dotted 1px #000;';$filax=1;}else{$filax++;} ?>" >

<td align="center">
	<a href="natrz1.php?idx=<?php echo $r_atrzl['atrz_codigo']; ?>" target="_blank">
	<img src="http://vcrxol.com/_img/ico_edit.png" width="20" title="Modificar  <?php echo $r_atrzl['atrz_codigo'];?>"  />
	</a>
	</td>
<td align="center">
	<a href="fitem.php?idx=<?php echo $r_atrzl['atrz_codigo'];?>"  target="_blank">
	<img src="http://vcrxol.com/_img/print2.png" width="20"/>
	</a>
	</td>
	
  <td align="cente">
		<a href="#" onClick="atrzl1d('<?php echo $xfgrou; ?>','<?php echo $r_atrzl['atrz_codigo']; ?>',this);">
		<?php echo '<div><span title="'.$r_atrzl['atrz_codigo'].'">'.$r_atrzl['atrz_codigo'].'</span></div>';?>
		</a> 
		</td>
	<td align="center"><?php echo'<span title="'.$r_atrzl['atrz_caduca'].'">'.$r_atrzl['atrz_caduca'].'</span>';?></td>
	<td align="center"><?php echo'<span title="'.$r_atrzl['atrz_enti'].'">'.$r_atrzl['atrz_enti'].'</span>';?></td>
	<td align="left"><?php echo'<span title="'.$r_atrzl['enti_descri'].'">'.$r_atrzl['enti_descri'].'</span>';?></td>
	
<!-- 	
	<th>UMDD</th>
	<th>LADO</th>
	<th>TLLA</th>
	<th>COLOR</th>
	<th>PROVEEDOR</th>
	<th>CAIR</th>
	
	 -->
	
	
	
</tr>
<?php }?>


</table>
</div>